Skip to main content
GET
/
v3
/
alert-rules
/
{alert_id}
/
record-history
List latest alert record for each time bucket during specified time_bucket_start and time_bucket_end for the given alert rule
curl --request GET \
  --url https://api.example.com/v3/alert-rules/{alert_id}/record-history \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v3/alert-rules/{alert_id}/record-history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v3/alert-rules/{alert_id}/record-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "items": [
      {
        "time_bucket": 123,
        "alert_count": 123,
        "alert_history_count": 123,
        "latest_record": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "alert_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "critical_threshold": 123,
          "alert_time_bucket": 123,
          "alert_value": 123,
          "feature_name": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "warning_threshold": 123
        }
      }
    ]
  }
}
{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}
{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

alert id path parameter

Query Parameters

start_time
string<date-time>
required

requested start time

end_time
string<date-time>
required

requested end time

feature_name
string

Name of the Feature

Response

List of latest alert record for each time bucket during specified time_bucket_start and time_bucket_end for the given alert rule

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object